@use 'sass:math';
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;700&display=swap');
// @import '~bootstrap/scss/bootstrap';
$bg: #969696;
$barsize: 15px;
@-moz-document url-prefix() { /* Disable scrollbar Firefox */
    html, #main-container{
      scrollbar-width: none;
    }

  }
*,
*::before,
*::after,
:root{
    margin: 0;
    padding: 0;
    font-family: "DM Sans";
    font-weight: 300;
    -ms-overflow-style: none;
    scrollbar-width: none;
    -webkit-tap-highlight-color: transparent;
}
html{
    overflow-x: hidden;
    scroll-behavior: smooth;

}
body{
    overflow-x: hidden;
    overflow-y: auto;
    justify-content: flex-start;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
}
::-webkit-scrollbar {
    width: 5px; /* Width of the scrollbar */
    background-color: transparent; /* Color of the scrollbar track */
    background: rgba(0,0,0,0);
    border-radius: 4px; /* Rounded corners of the thumb */

  }
  
::-webkit-scrollbar-track {
    background-color: transparent; /* Color of the scrollbar track */
    border-radius: 4px; /* Rounded corners of the thumb */
  }
  
::-webkit-scrollbar-thumb {
    background-color: #78788c; /* Color of the scrollbar thumb */
    border-radius: 5px; /* Rounded corners of the thumb */
  }
  
::-webkit-scrollbar-thumb:hover {
    background-color: #78788c; /* Color of the thumb on hover */
  }
body::-webkit-scrollbar { 
    width: 8px; /* Width of the scrollbar */

}
main::-webkit-scrollbar {
    width: 8px; /* Width of the scrollbar */
}
a[href^="https://gitlab.com/christophe.guy99"]{
    text-decoration: underline;
    color: #343434;
    font-family: 'Source Code Pro', monospace;
    font-weight: 600;
}

header{
    width: 100vw;
    height: 10vh;
    max-height: 100px;
    background-color: #fff;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    position: fixed;
    z-index: 10;
}
nav{
    height: 10vh;
    max-height: 100px;
    width: 70vw;
    background-color: #fff;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-content: center;
    position: fixed;
    
}
#backToTopBtn {
    cursor: pointer;
    display: flex;
    position: fixed;
    width:40px;
    height: 40px;
    bottom: 20px;
    right: 20px;
    z-index: 9999;
    background-color: #f3f3f3;
    border: 1px solid #343434;
    text-align: center;
    align-items: center;
    justify-content: center;
    border-radius: 20px 20px 0 20px ;
    color: #343434;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.3);
    opacity: 0;  /* Start with the button hidden. */
    visibility: hidden; /* Also start with the button as hidden */
    transition: opacity 0.5s, visibility 0.5s; /* Transition settings */
}
#backToTopBtn[data-tooltip]:hover:before {
    content: attr(data-tooltip);
    position: fixed;
    bottom: 70px; /* Position the tooltip above the button, taking into account the button's height (40px) and margin from bottom (3vh), and an extra 10px for space between the tooltip and the button */
    right: 5vw; /* Same as button's right positioning */
    transform: translateX(100%); /* Adjust the tooltip position so it's centered properly */
    background-color: #333;
    color: #fff;
    border: 1px solid #fff;
    padding: 5px;
    border-radius: 10px 10px 0 10px;
    font-size: 1em;
    white-space: nowrap;
  }
  
#backToTopBtn.visible {
    opacity: 1;  
    visibility: visible;
}
@keyframes shake {
    0% {
      transform: translateX(0);
    }
    10% {
      transform: translateX(-10px);
    }
    20% {
      transform: translateX(10px);
    }
    30% {
      transform: translateX(-10px);
    }
    40% {
      transform: translateX(10px);
    }
    50% {
      transform: translateX(-10px);
    }
    60% {
      transform: translateX(10px);
    }
    70% {
      transform: translateX(-10px);
    }
    80% {
      transform: translateX(10px);
    }
    90% {
      transform: translateX(-10px);
    }
    100% {
      transform: translateX(0);
    }
  }
  
  .shake-effect {
    animation: shake 0.5s ease-in-out;
  }
  
header, nav, .logo img, heading {
    transition: height 0.5s ease-in-out, width 0.5s ease-in-out;
}

.headlogo{
    display: flex;
    flex-direction: row;
    margin-left: 3vw;
    gap:0.5em
}

.heading{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 10vh;
    max-height: 100px;
    margin-left: 0;    
}

.heading-transition {
    animation: line-height-transition 0.5s ease-in-out;
    line-height: 1;
}

@keyframes line-height-transition {
    from {
        line-height: initial;
    }
    to {
        line-height: 1;
    }
}
.fa {
    font-family: "Font Awesome 5 Free";
  }
  
p{
    font-family: 'Source Code Pro', monospace;
}
b{
    font-family: 'Source Code Pro', monospace;
    font-weight: 600;
    color: #747474;
    text-decoration: underline;
}
h1 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 700;
    font-size: 1.3rem;
}
h2 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 400;
    font-size: 1.2rem;

}

h3 {
    font-family: 'Source Code Pro', monospace;
    font-weight: 500;
    font-size: 3em;
    text-transform: uppercase;
    margin-top: 0.5em;
}

h4{
    font-family: 'Source Code Pro', monospace;
    font-weight: 400;
    font-size: 2em;     
    text-transform: uppercase;
    padding: 0.5em 0 0.5em 0;
}
.blink {
    animation: blinker 1s ease-in-out infinite;
}
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 9; /* Sit on top */
    left: 0;
    top: 6vh;
    width: 100vw; /* Full width */
    height: 94vh; /* Full height */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease-in-out, visibility 1s ease-in-out, display 1s ease-in-out;
    
    &.show {
        display: block;
        opacity: 1;
        visibility: visible;
    }

    .modal-content {
        margin: 5rem auto; /* 15% from the top and centered */
        padding: 1em;
        border: 1px solid #78788c;
        width: 40vw; /* Could be more or less, depending on screen size */
        background-color: #fefefe;
        border-radius: 10px 10px 10px 0;

        .modal-img {
            width: 40vw;
            display: block;
            border-radius: 10px 10px 10px 0;
        }
    }
}
.legal-modal {
    display: none;
    position: fixed;
    z-index: 9;
    left: 0;
    top: 6vh;
    width: 100vw;
    height: 94vh;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease-in-out, visibility 1s ease-in-out, display 1s ease-in-out;
  
    &.show {
      display: block;
      opacity: 1;
      visibility: visible;
    }
  
    .modal-content {
      margin: 5rem auto;
      padding: 1em;
      border: 1px solid #78788c;
      width: 60vw;
      height: 80vh;
      background-color: #fefefe;
      border-radius: 10px 10px 10px 0;
      overflow: hidden;
  
      h3 {
        text-align: center;
        margin: 0 0 0.5em 0;
      }
  
      .scrollable-content {
        max-height: calc(80vh - 3.5em - 20px);
        overflow-y: auto;
  
        h4 {
          margin: 0.5em 0;
          padding: 0 20px;
          font-size: 1.3rem;
        }
  
        p:last-of-type {
          margin-bottom: 5em;
        }
      }
  
      p {
        padding: 0 20px;
        font-size: 0.9em;
      }
  
      a {
        cursor: pointer;
        text-decoration: underline;
        color: #747474;
        font-weight: 500;
  
        &:hover {
          color: #000;
        }
      }
    }
  
    .close-button {
      color: #aaaaaa;
      font-size: 3em;
      font-weight: bold;
      position: relative;
      float: right;
  
      &:hover,
      &:focus {
        color: #000;
        text-decoration: none;
        cursor: pointer;
      }
    }
  }
  



@keyframes blinker {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
  
/*Styling logo*/
.logo{
    padding:1vh 1vw;
    text-align: center;
    align-items: center;
    display: flex;
}
.logo img {
    height: 4rem;
    width: 4rem;
}

.nav-links {
    display: flex;
    list-style: none;
    width: 40vw;
    justify-content: flex-end;
    gap: 30px;
    align-items: center;
    text-transform: uppercase;
    justify-self: flex-end;
    margin-right: 3vw;
  
    li {
      position: relative;
  
      a {
        display: block;
        position: relative;
        text-decoration: none;
        margin: 0 0.7vw;
        padding: 40px 0;
        box-sizing: border-box;
        transition: 0.5s;
        color: #000;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
  
        &:hover {
          color: #c24a4a;
          transform: scale(1.3);
          opacity: 1;
          filter: blur(0);
          text-decoration: none;
        }
      }
    }

    li.blurred a {
        transform: scale(1.1);
        opacity: 0.2;
        filter: blur(1px);
    }
}

  

/*Styling Hamburger Icon*/
.hamburger div{
    width: 30px;
    height:3px;
    background: #000000;
    margin: 5px;
    transition: all 0.3s ease;
}
.hamburger{
    display: none;
}


/*Animating Hamburger Icon on Click*/
.toggle .line1{
    transform: rotate(-45deg) translate(-5px,6px);
}
.toggle .line2{
    transition: all 0.7s ease;
    width:0;
}
.toggle .line3{
    transform: rotate(45deg) translate(-5px,-6px);
}

main {
    position: absolute;
    top: 30vh;
    width: 100%;
    max-width: 1200px;
    height: 100%;
    z-index: 3;
    display: flex;
    justify-content: center;
    align-items: center;
}


#main-container{
    position: absolute;
    top: 0;
    z-index: 3;
    display: flex;
    flex-direction: column;
    width: 100vw;
    justify-content: center;
    align-items: center;
    // background: linear-gradient(to bottom, transparent 0%, white 100%);
    background: #fff;
    
   
}


.banner {
    position: fixed;
    top: 7vh;
    width: 100vw;
    height: 25vh;
    z-index: -1;
    overflow: hidden;
    pointer-events: all;
    background-color: #78788c;
    opacity: 1.1;
    display: grid;
    grid-template-columns: repeat(34, 3vw);
    grid-template-rows: repeat(10, 2.5vh);
  
    .animatingElement {
        width: 100%;
        height: 100%;
        background-color: #78788c; 
        box-sizing: border-box;
        transform-style: preserve-3d;
        opacity: 0.6; 
        border-radius: 10px 5px 10px 5px;  
        border: 0 solid #969696; // Add this line      
      }
      
    /* Adjust the layout for devices with less than 600px width */
    @media (max-width: 600px) {
      grid-template-columns: repeat(20, 5vw); /* Fewer columns */
      grid-template-rows: repeat(10, 2.5vh);
    }   
}














section{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    background: #f3f3f3;
    // border-bottom: 1px solid #000;
    z-index: 1;
    width: 75vw;
    max-width: 1200px;
    gap:2em;
    padding: 0 3vw;
}
section:last-of-type{
    border-bottom: none;
}
.hr {
    
    width: 100%;
    height: 1px;
    display: block;
    position: relative;
    margin-bottom: 0em;
    padding: 1em 0 0 0;
    cursor: context-menu;
    &:after,
    &:before {

        content: "";
        position: absolute;
        width: 100%;
        height: 1px;
        bottom: 50%;
        left: 0;

    }

    &:before {

        background: linear-gradient( 90deg, $bg 0%, $bg 50%, transparent 50%, transparent 100% );
        background-size: $barsize;
        background-position: center;
        z-index: 1;

    }

    &:after {

        transition: opacity 0.3s ease, animation 0.3s ease;

        background: linear-gradient(
            to right, 
            #ffffff 5%, 
            #dddddd 15%, 
            #dddddd 25%, 
            #bbbbbb 35%, 
            #bbbbbb 45%, 
            #999999 55%, 
            #999999 65%, 
            #777777 75%, 
            #777777 85%, 
            #555555 95%
        );


        background-size: 200%;
        background-position: 0%;
        animation: bar 10s linear infinite;

    }

    @keyframes bar {

        0% { background-position: 0%; }
        100% { background-position: 200%; }

    }
    
}




.hr.anim {
    &:before {
        background: linear-gradient( 
            90deg, 
            $bg 0%, $bg 5%, 
            transparent 5%, transparent 10%, 
            $bg 10%, $bg 15%, 
            transparent 15%, transparent 20%, 
            $bg 20%, $bg 25%,
            transparent 25%, transparent 30%,
            $bg 30%, $bg 35%, 
            transparent 35%, transparent 40%, 
            $bg 40%, $bg 45%, 
            transparent 45%, transparent 50%, 
            $bg 50%, $bg 55%,
            transparent 55%, transparent 60%,
            $bg 60%, $bg 65%,
            transparent 65%, transparent 70%, 
            $bg 70%, $bg 75%, 
            transparent 75%, transparent 80%, 
            $bg 80%, $bg 85%,
            transparent 85%, transparent 90%,
            $bg 90%, $bg 95%, 
            transparent 95%, transparent 100% );

        background-size: $barsize * 10;
        background-position: center;
        z-index: 1;
        
        animation: bar 120s linear infinite;
        
    }
    
    &:hover {
        &:before {
            animation-duration: 20s;
        }
        &:after {
            animation-duration: 2s;
        }
    }
}
.carousel {
    cursor: pointer;
	padding: 1rem 0;
	display: grid;
	grid-template-columns: repeat(23, 40vw);
	grid-template-rows: 1fr;
	grid-column-gap: 1rem;
	grid-row-gap: 1rem;
	overflow: scroll;
    width: 75vw;
    max-width: 1200px;
	height: 50vh;
	scroll-snap-type: both mandatory;
	scroll-padding: 1rem;

	&.active {
		scroll-snap-type: unset;
	}

	li {
        scroll-snap-align: center;
        display: inline-block;
        border-radius: 10px;
        font-size: 0;
        border: 1px solid #78788c;
        background-position: center; /* Center the background image */
        background-size: cover; /* Scale the background image to cover the li */
        background-repeat: no-repeat; /* Do not repeat the background image */
        transition: all .8s linear;
        filter: grayscale(100%); /* Apply grayscale filter */
        &:hover{
            box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -25px;  
            filter: grayscale(0%); /* Remove grayscale filter on hover */
        }
    }
    
    
}

#Intro{
    gap: 10vh;
    #Z {
        display: flex;
        align-items: flex-start;
        gap: 1rem;
        background-image: linear-gradient(to right, black, transparent);
        background-size: 100% 1px;
        background-repeat: no-repeat;
        background-position: top;
        padding: 1em 0 0 0;
      
        .image-text-container {
          overflow: hidden;
          margin-right: 1rem;
            .glitch {
                float: left;
                width: 150px;
                height: 100%;
                object-fit: cover;
                margin: 0 1em 0 0;
                border-radius: 10px;
            }
            p {
                font-size: 1.3rem;
            }
        }
      
        
      
        
      }
      
    #ZEUM{
        display: flex;
        flex-direction: column;
        margin-bottom: 2em;
        background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
        background-size: 100% 1px; /* Set the size of the background image */
        background-repeat: no-repeat; /* Ensure the background doesn't repeat */
        background-position: top; /* Position the background at the top */
        
    }
    #GEEK{
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        gap: 2em;
        .about-text{
            background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
            background-size: 100% 1px; /* Set the size of the background image */
            background-repeat: no-repeat; /* Ensure the background doesn't repeat */
            background-position: top; /* Position the background at the top */
            }
        div{
            width: 50%;
        }
        div:has(img){
            overflow: hidden;
            height: 330px;
            border-radius: 10px;
            img{
                width: 100%;
                height: auto;
                border-radius: 10px;
            }
        }
    }
    #NEAR{
        display: flex;
        flex-direction: row;
        gap: 2em;
        .about-text{
            background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
            background-size: 100% 1px; /* Set the size of the background image */
            background-repeat: no-repeat; /* Ensure the background doesn't repeat */
            background-position: top; /* Position the background at the top */
            }
        img{
            width: 250px;
        }
        ul{
            list-style: none;
            gap:1em;
            li{
                display: flex;
                flex-direction: row;
                gap: 1em;
                margin-top: 0.5em;
            }
            span{
                height: 100%;
            }
        }
    }
    #EXPERTISE{
        display: flex;
        flex-direction: row;
        gap: 2em;
        width: 100%;
        .about-text{
            background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
            background-size: 100% 1px; /* Set the size of the background image */
            background-repeat: no-repeat; /* Ensure the background doesn't repeat */
            background-position: top; /* Position the background at the top */
            }
        div{
            width: 50%;
        }
        div:has(img){
            width: 50%;
            overflow: hidden;
            border-radius: 5px;
            img{
                width: 40vw;
                height: auto;
                border-radius: 10px;
            }
        }
    }
    #COMPETENCE{
        display: flex;
        flex-direction: row;
        gap: 2em;
        width: 100%;
        .about-text{
            background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
            background-size: 100% 1px; /* Set the size of the background image */
            background-repeat: no-repeat; /* Ensure the background doesn't repeat */
            background-position: top; /* Position the background at the top */
            }
        div{
            width: 50%;
        }
        div:has(img){
            width: 50%;
            height:30vh;
            overflow: hidden;
            border-radius: 10px;
            img{
                width: 40vw;
                height: auto;
                border-radius: 5px;

            }
        }
        
        ul{
            list-style: none;
            gap:1em;
            li{
                display: flex;
                flex-direction: row;
                gap: 1em;
                margin-top: 0.5em;
            }
            span{
                height: 100%;
            }
        }
    }
}
#Dev {
    .dev-intro{
        a{
            color: #747474;
        }
    }
    .project {
      /* Other styles for the project div */
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: flex-start;
      gap: 2em;
      width: 100%;
      padding: 1em;
  
      &.left {
        /* Styles for project div with thumbnail on the left */
        flex-direction: row;
        img{
            border-radius: 10px 10px 0 10px;
            transition: all ease .3s;
            &:hover{
                box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  

                  }
            }
      }
  
      &.right {
        /* Styles for project div with thumbnail on the right */
        flex-direction: row-reverse;
        img{
            border-radius: 10px 10px 10px 0;
            transition: all ease .3s;
            &:hover{
                box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  

                  }
        }
      }
  
      h4 {
        font-size: 1.5rem;
        padding: 0 0 0 1rem;

      }
      h5 {
        font-size: 1.2rem;
        padding: 0 0 0 1rem;
        margin: 0.5rem 0 0 0;

      }
      p {
        margin:  1rem 0 ;
        padding:  0 1rem;
      }
      a {
        /* Styles for the link container */
        display: flex;  
        width: 50%;
        img {
          /* Styles for the project thumbnail image */
          width: 100%;
          height: auto;
          border: solid 1px #78788c;
        }
      }
  
      .no-thumbnail {
        /* Styles for the project div without a thumbnail */
        padding: 1em 0;
        display: flex;
        flex-direction: column;
        width: 50%;
        background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
        background-size: 100% 1px; /* Set the size of the background image */
        background-repeat: no-repeat; /* Ensure the background doesn't repeat */
        background-position: top; /* Position the background at the top */
        .skills{
            background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
            background-size: 100% 1px; /* Set the size of the background image */
            background-repeat: no-repeat; /* Ensure the background doesn't repeat */
            background-position: top;
            p{
                margin:  0 0 1rem 0;
            }
        }
        /* Align self to flex-end if parent is .left, flex-start if parent is .right */
        &.left {
          align-self: flex-end;
        }
  
        &.right {
          align-self: flex-start;
        }
      }
    }
    .project:last-of-type{
        margin-bottom: 3vh;
    }
  }
  #Design {
    .design-intro{
      a{
        color: #747474;
      }
    }
  
    .project {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: flex-start;
      gap: 2em;
      width: 100%;
      padding: 1em;
  
      &.left {
        flex-direction: row;
        img{
          border-radius: 10px 10px 0 10px;
          transition: all ease .3s;
          &:hover{
            box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  
          }
        }
      }
  
      &.right {
        flex-direction: row-reverse;
        img{
          border-radius: 10px 10px 10px 0;
          transition: all ease .3s;
          &:hover{
            box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  
          }
        }
      }
  
      h4 {
        font-size: 1.5rem;
        padding: 0 0 0 1rem;
      }
  
      h5 {
        font-size: 1.2rem;
        padding: 0 0 0 1rem;
        margin: 0.5rem 0 0 0;
      }
  
      p {
        margin:  1rem 0 ;
        padding:  0 1rem;
      }
  
      a {
        display: flex;  
        width: 50%;
        img {
          width: 100%;
          height: auto;
          border: solid 1px #78788c;
        }
      }
  
      .no-thumbnail {
        padding: 1em 0;
        display: flex;
        flex-direction: column;
        width: 50%;
        background-image: linear-gradient(to right, black, transparent);
        background-size: 100% 1px;
        background-repeat: no-repeat;
        background-position: top;
  
        .skills{
          background-image: linear-gradient(to right, black, transparent);
          background-size: 100% 1px;
          background-repeat: no-repeat;
          background-position: top;
          
          p{
            margin:  0 0 1rem 0;
          }
        }
  
        &.left {
          align-self: flex-end;
        }
  
        &.right {
          align-self: flex-start;
        }
      }
    }
  
    .project:last-of-type{
      margin-bottom: 3vh;
    }
  }
  
#Art{
    padding-bottom: 2em;
    .gallery{
        display: flex;
        flex-direction: row;
        width: 100%;
        gap: 5vw;
        .img-container{
            cursor: pointer;
            display: flex;
            flex-direction: column;
            width: 30%;
            height: auto;
            overflow: hidden;
            transition: all ease-in-out .3s;
            &:hover{
                box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  

                  }
            img{
                width: 100%;
                height: auto;
                border-radius: 10px;
                border: 1px solid #78788c;
                transition: all ease-in-out .3s;
                &:hover{
                    box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  
    
                      }
            }
            p{
                display: none;
                margin-top: 1em;
                font-style: italic;
                text-align: center;
            }
            
        }
    }
    img{
        width: 100%;
    }
    #technique-result{
        display: flex;
        justify-content: flex-start;
        gap: 5vw;
        #technique {
            width: 66.6%;
            padding: 1em 0 0 0;
            background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
            background-size: 100% 1px; /* Set the size of the background image */
            background-repeat: no-repeat; /* Ensure the background doesn't repeat */
            background-position: top; /* Position the background at the top */
            .miniature {
                float: left;
                margin-right: 2em;
                margin-bottom: 1em;
                width: 20%;
                height: auto;
                img{
                    width: 100%;
                    height: auto;
                    border-radius: 10px ;
                    transform: scaleX(-1);
                }
                }
        }
        #result{
            width: 29%;
            cursor: pointer;
            img{
                width: 100%;
                height: auto;
                border-radius: 10px ;
                transition: all ease-in-out .2s;

                &:hover{
                    box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;  
    
                      }
            }
            p{
                margin-top: 1em;
                font-style: italic;
                text-align: center;
            }
        }
    }
    
}
#Contact{
    h3{
display: none;    }
        .contact-container{
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            gap:2em;
            width: 100%;
            .contact-text{
                width: 50%;
                background-image: linear-gradient(to right, black, transparent); /* Add the gradient as a background image */
                background-size: 100% 1px; /* Set the size of the background image */
                background-repeat: no-repeat; /* Ensure the background doesn't repeat */
                background-position: top; /* Position the background at the top */
                display: flex;
                flex-direction: column;
                h4{
                    padding: 0.5em 0 0 0;
                }
                p{
                    margin: 1em 0;
                }
                .resume-div{
                    margin-top: auto;
                    padding: 0 0 2em 0;        
                    align-self: center;      
                a{
                    text-decoration: none;
                    width: 40px;
                    height: 50px;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    padding: 1em;
                    border-radius: 10px 10px 0 10px;
                    border: 2px solid #bebed2;
                    color: #78788c;
                    transition: all ease-in-out 0.3s;
                    gap: 0.4em;
                    &:hover{
                        background-color: #bebed2;
                        color: white;
                    }
                }
                
                }
            }
            .form-container{
                width: 50%;
                form{
                    display: flex;
                    gap: 2em;
                    flex-direction: column;
                    padding: 0 0 2em 0;
                    input,
                    textarea {
                      padding: 1em 0;
                      box-sizing: border-box;
                      border: none;
                      border-bottom: 2px solid #bebed2;
                      background: #f3f3f3;
                      outline: none;
                      resize: none;
                    }
                    input::placeholder,
                    textarea::placeholder {
                    line-height: 1.5;
                    }
                    input:focus,
                    textarea:focus {
                      border: none;
                      border-bottom: 2px solid #78788c;
                    }
                    input:-internal-autofill-selected {
                        background-color: #f3f3f3 !important;
                        color: #000 !important;
                    }
                    textarea::-webkit-scrollbar-thumb {
                        background-color: #969696;
                    }
                    textarea::-webkit-scrollbar-track {
                        background-color: transparent;
    
                    }              
                    textarea {
                        min-height: 15vh;
                        overflow-y: scroll;
                      }
                      .button-container{
                        display: flex;
                        flex-direction: row;
                        justify-content: space-between;
                        button{
                            cursor: pointer;
                            width: 100px;
                            height: 50px;
                            border-radius: 10px 10px 0 10px;
                            border: 2px solid #bebed2;
                            padding: 0.5em 0;
                            font-size: 1em;
                            transition: all ease-in-out .3s;
                        }
                        button:hover{
                            background-color: #bebed2;
                            color: white;
                        }
                        span{
                            width: auto;
                            font-size: 0.8em;
                            li{
                                display: flex;
                                flex-direction: row;
                                align-items: center;
                                gap: 0.5em;
                                font-family: 'Source Code Pro', monospace;
                            }
                        }
                        .status-message {
                            opacity: 0;
                            transition: opacity 0.5s ease-in;
                          }
                          
                          .fade-in {
                            opacity: 1;
                          }
                               
                    }
                }
            }   
        }
    }
    

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #343434;
    color: #fff;
    width: 100vw;
    padding: 30px 0;

    .footer-content {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        width: 75%;
        max-width: 1200px;



        .logo-footer {
            width: 33%;
            img {
                width: 5rem;
                height: auto;
            }
        }

        .footer-links {
            width: 33%;
            list-style: none;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            li {
                text-align: center;
                a {
                    color: #fff;
                    text-decoration: none;
                    &:hover {
                        color: #ffc107;
                    }
                }
            }
        }

        .social-links {
            display: flex;
            width: 33%;
            justify-content: flex-end;
            align-items: center;
            gap:0.5em;
            a {
                color: #fff;
                font-size: 1.5em;
                margin-right: 0.5em;
                transition: color 0.2s ease-in-out;

                &:hover {
                    color: #ffc107;
                }
            }
        }
    }
    .copyright-legal-div{
        display: flex;
        align-items: center;
        gap: 1em;
        a{
            text-decoration: underline;
            color: #fff;
            padding-top: 1em;

        }
        .copyright {
        text-align: center;
        padding-top: 1em;
        }
    }
    
}



/*Styling for small screens*/
@media screen and (max-width: 1000px){
    .logo img {
        height: 3rem;
        width: 3rem;
    }
    h1, h2{
        font-size: 1em;
    }
    h3, h4{
        font-size: 1.5em;
        text-align: left;
    }
    nav{
        width: 100vw;
        position: fixed;
        z-index: 3;
    }
    .hr{
        width: 90vw;
    }
    .hamburger{
        display:block;
        position: absolute;
        cursor: pointer;
        right: 5%;
        top: 50%;
        transform: translate(-5%, -50%);
        z-index: 2;
        transition: all 0.7s ease;
        color: #000;
    }
    .nav-links{
        position: fixed;
        background: #fff;
        height: 100vh;
        width: 100vw;
        flex-direction: column;
        justify-content: center;
        gap:5vh;
        clip-path: circle(50px at 90% -20%);
        -webkit-clip-path: circle(50px at 90% -10%);
        transition: all 1s ease-out;
        pointer-events: none;
        box-shadow: 0 3px 20px rgba(0, 0, 0, 0.2);
    }
    .nav-links.open{
        clip-path: circle(1500px at 90% -10%);
        -webkit-clip-path: circle(1500px at 90% -10%);
        pointer-events: all;
        
    }
    .nav-links li{
        opacity: 0;
    }
    .nav-links.open:hover li a{  
        opacity:1;
        filter:blur(0);
    }
    .nav-links li:nth-child(1){
        transition: all 0.5s ease 0.2s;
    }
    .nav-links li:nth-child(2){
        transition: all 0.5s ease 0.4s;
    }
    .nav-links li:nth-child(3){
        transition: all 0.5s ease 0.6s;
    }
    .nav-links li:nth-child(4){
        transition: all 0.5s ease 0.7s;
    }
    .nav-links li:nth-child(5){
        transition: all 0.5s ease 0.8s;
    }
    .nav-links li:nth-child(6){
        transition: all 0.5s ease 0.9s;
        margin: 0;
    }
    .nav-links li:nth-child(7){
        transition: all 0.5s ease 1s;
        margin: 0;
    }
    li.fade{
        opacity: 1;
    }
    .nav-links li a{
        padding: 0 0;
    }
    .nav-links li a:hover{
        padding: 0 0;
        transform:scale(1.2);
    }
    section{
        width: 100vw;
        padding: 0 ;
    }
    #backToTopBtn{
        display: flex !important;
    }
    #backToTopBtn[data-tooltip]:hover:before{
        display: none !important;
    }
    #Intro{
        display: flex;
        justify-content: center;
        gap: 5vh;
        #Z{
            width: 90vw;
            .image-text-container{
                .glitch{
                    width: 100px;
                }
                p{
                    font-size: 1.1em;
                }
            }
        }
        #ZEUM{
            flex-direction: column;
            justify-content: center;
            width: 90vw;
            h4{
                margin-bottom: 0.5em;
            }

            div{
                width: 100%;
            }
            }
        #GEEK{
            flex-direction: column;
            width: 90vw;
            h4{
                margin-bottom: 0.5em;

            }
            div{
                width: 100%;
            }
            div:has(img){
                height: auto;
            }
            }
        #NEAR{
            width: 90vw;
            gap: 0;
            h4{
                margin-bottom: 0.5em;

            }
            ul{
                padding-top: 0.5em;
            }
            img{
                display: none;
                }
            }
        #EXPERTISE{
            flex-direction: column-reverse;
            justify-content: center;
            width: 90vw;
            h4{
                margin-bottom: 0.5em;
            }
            div:has(img){
                width: 90vw;  
                height: auto;
                img{
                    width: 90vw;
                }
            }
            div{
                width: 100%;  
            } 
        }
        #COMPETENCE{
            flex-direction: column;
            justify-content: center;
            width: 90vw;
            h4{
                margin-bottom: 0.5em;
            }
            ul{
                padding-top: 0.5em;
            }
            div:has(img){
                width: 90vw;  
                height: auto;
                img{
                    width: 90vw;
                }
            }
            div{
                width: 90vw;  
            } 
        }
    }
    #Dev{
        gap: 0;
        h3{
            margin: 1em 0;
        }
        .dev-intro{
            width: 90vw;
            margin: 0 0 2em 0;
        }
        .project{
            margin: 2em 0;
            padding: 0;
            align-items: center;
            flex-direction: column;
            width: 100%;
            h4{
                width: 90vw;
                padding: 0;
                font-size: 1.3rem;
            }
            p{
                margin:  1em 0 1em 0 ;
                width: 90vw;
                padding: 0;
            }
            a{
                display: flex;
                justify-content: center;
                width: 90vw;
                img{
                    width: 100%;
                    border-radius: 10px;
                }
            }
            .no-thumbnail{
                width: 90vw;
                padding: 1em 0 0 0;
                align-items: center;
                h5{
                    padding: 0;
                }
                .skills{
                    p{
                        font-size: 0.9em;
                    }
                }
            }
            &.left{
                flex-direction: column;
            }
            &.right{
                flex-direction: column;
            }
        }
    }
    #Design{
        gap: 0;
        h3{
          margin: 1em 0;
        }
        .design-intro{
          width: 90vw;
          margin: 0 0 2em 0;
        }
        .project{
            margin: 2em 0;
            padding: 0;
            align-items: center;
            flex-direction: column;
            width: 100%;
            h4{
                width: 90vw;
                padding: 0;
                font-size: 1.3rem;
            }
            p{
                margin:  1em 0 1em 0;
                width: 90vw;
                padding: 0;
            }
            a{
                display: flex;
                justify-content: center;
                width: 90vw;
                img{
                width: 100%;
                border-radius: 10px;
                }
            }
            .no-thumbnail{
                width: 90vw;
                padding: 1em 0 0 0;
                align-items: center;
                h5{
                padding: 0;
                }
                .skills{
                    p{
                        font-size: 0.9em;
                    }
                }
            }
            &.left{
                flex-direction: column;
            }
            &.right{
                flex-direction: column;
            }
            }
        }
      
    #Art{
        gap: 0;
        h3{
            margin: 1em 0;
        }
        h4{
            margin: 0.5em 0;
            align-self: flex-start;
        }
        #tech4{
            margin: 0.5em 5vw;
        }
        p{
            margin: 0 0 1em 0;
            padding: 0;
            width: 90vw;
        }
        .gallery{
            flex-direction: row;
            width: 90vw;
            .img-container{
                width: 90vw;
            }
        }
        #technique-result{
            width: 90vw;
            flex-direction: column;
            #technique{
                background-image: none;
                width: 100%;
                padding: 1em 0 1em 0;
                .miniature{
                    display: none;
                }
            }
            #result{
                width: 90vw;
            }
        }
        .carousel{
            width: 90vw;
            padding: 1em 0;
            grid-template-columns: repeat(23, 60vw);
        }
}
#Contact{
    .contact-container{
        width: 90vw;
        flex-direction: column-reverse;
        .form-container{
            width: 90vw;
            background: #f3f3f3;
            form{
                textarea{
                    height: 15vh;
                }
                /* Style the scrollbar thumb */
                textarea::-webkit-scrollbar-thumb {
                    background-color: transparent;
                }
                
            }
        }
        .contact-text{
            width: 90vw;
            .resume-div{
                display: flex;
                flex-direction: column;
                align-items: center;
            }
        }

    }
    div{
        width: 90vw;
    }
}
.modal{
    .modal-content{
        width: 90vw;
        padding: 0.5em;
        .modal-img{
            width: 90vw;
        }
    }
}
    footer{
        .footer-content{
            width: 90vw;
            .footer-links{
                display: none;
            }
        }
        .logo img{
            width: 3rem;
            height: 3rem;
            padding: 0;
        }
        .copyright-legal-div{
            gap: 0;
            flex-direction: column-reverse;
            justify-content: flex-end;
            .copyright{
                padding: 0;
                
            }
            a{
                padding: 0;

            }
        }
    }
    .legal-modal{
        .modal-content{
            width: 80vw;
            height: 80vh;
            .close-button{
                font-size: 2em;
                top: -0.2em;
            }
            p{
                font-size: 0.8em;
            }
            .scrollable-content{
                h4{
                    font-size: 0.9em;
                }
            }
        }
    }
}

